Bug 244220 - devel/capstone4: Update to 4.0.1
Summary: devel/capstone4: Update to 4.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2020-02-18 23:55 UTC by Mateusz Piotrowski
Modified: 2020-03-03 01:44 UTC (History)
1 user (show)

See Also:
0mp: maintainer-feedback? (oleksii.tsai)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2020-02-18 23:55:28 UTC
Patch available here: https://reviews.freebsd.org/D23749

Please, let me know if it is alright.
Comment 1 commit-hook freebsd_committer 2020-03-02 14:15:17 UTC
A commit references this bug:

Author: 0mp
Date: Mon Mar  2 14:14:22 UTC 2020
New revision: 527633
URL: https://svnweb.freebsd.org/changeset/ports/527633

Log:
  devel/capstone: Update to 4.0.1

  Changelog:
  https://github.com/aquynh/capstone/releases/tag/4.0.1

  - Remove GH_TAGNAME: PORTVERSION is enough
  - Get the patch for a staging bug from GitHub
  - Disable broken fuzzing tests

  PR:		244220
  Approved by:	oleksii.tsai@gmail.com (maintainer timeout)
  Differential Revision:	https://reviews.freebsd.org/D23749

Changes:
  head/devel/capstone4/Makefile
  head/devel/capstone4/distinfo
  head/devel/capstone4/pkg-plist